var app = getApp();
Page({
  data: {
    userList: []
  },
  onLoad() {
    let me = this
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    wx.request({
      url: app.globalData.apiUrl + 'teenages/teenageList',
      method: 'POST',
      data: {
        token: wx.getStorageSync('token')
      },
      success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
        if(res.data.errno==200){
          me.setData({
            userList: res.data.data
          })
        }else{
          wx.showModal({
            title: '提示',
            showCancel: false,
            content: res.data.msg
          })
        }
      }
    })
  },
  // 设置使用者
  setUser: function(e) {
    let me = this;
    me.setData({
      userList: me.data.userList
    })
    wx.showModal({
      title: '提示',
      content: '是否选择 '+e.currentTarget.dataset.name+' 为使用者',
      success (res) {
        if (res.confirm) {
          // 请求前加Loading
          wx.showLoading({
            title: '加载中',
            mask: true
          })
          wx.request({
            url: app.globalData.apiUrl + 'teenages/setDefault',
            method: 'POST',
            data: {
              token: wx.getStorageSync('token'),
              teenageId: e.currentTarget.dataset.id
            },
            success: function (res) {
              // 请求成功后关闭Loading
              wx.hideLoading();
              if(res.data.errno==200){
                wx.showToast({
                  title: '删除成功',
                  mask: true,
                  // icon: 'none',
                  duration: 2000
                });
                // 请求前加Loading
                wx.showLoading({
                  title: '加载中',
                  mask: true
                })
                wx.request({
                  url: app.globalData.apiUrl + 'teenages/teenageList',
                  method: 'POST',
                  data: {
                    token: wx.getStorageSync('token')
                  },
                  success: function (res) {
                    // 请求成功后关闭Loading
                    wx.hideLoading();
                    if(res.data.errno==200){
                      me.setData({
                        userList: res.data.data
                      })
                    }else{
                      wx.showModal({
                        title: '提示',
                        showCancel: false,
                        content: res.data.msg
                      })
                    }
                  }
                })
              }else{
                wx.showModal({
                  title: '提示',
                  showCancel: false,
                  content: res.data.msg
                })
              }
            }
          })
        } else if (res.cancel) {
          // console.log('用户点击取消')
        }
      }
    })
  },
  // 删除使用者
  delUser: function(e) {
    let me = this;
    if(me.data.userList.length==1){
      wx.showModal({
        title: '提示',
        showCancel: false,
        content: '删除失败，需要至少保留一个用户'
      })
      return
    }
    wx.showModal({
      title: '删除提示',
      content: '删除后无法恢复，是否删除？',
      success (res) {
        if (res.confirm) {
          console.log('用户点击确定')
          // 请求前加Loading
          wx.showLoading({
            title: '加载中',
            mask: true
          })
          wx.request({
            url: app.globalData.apiUrl + 'teenages/delTeenage',
            method: 'POST',
            data: {
              token: wx.getStorageSync('token'),
              teenageId: e.currentTarget.dataset.id
            },
            success: function (res) {
              // 请求成功后关闭Loading
              wx.hideLoading();
              if(res.data.errno==200){
                wx.showToast({
                  title: '删除成功',
                  mask: true,
                  // icon: 'none',
                  duration: 2000
                });
                // 请求前加Loading
                wx.showLoading({
                  title: '加载中',
                  mask: true
                })
                wx.request({
                  url: app.globalData.apiUrl + 'teenages/teenageList',
                  method: 'POST',
                  data: {
                    token: wx.getStorageSync('token')
                  },
                  success: function (res) {
                    // 请求成功后关闭Loading
                    wx.hideLoading();
                    if(res.data.errno==200){
                      me.setData({
                        userList: res.data.data
                      })
                    }else{
                      wx.showModal({
                        title: '提示',
                        showCancel: false,
                        content: res.data.msg
                      })
                    }
                  }
                })
              }else{
                wx.showModal({
                  title: '提示',
                  showCancel: false,
                  content: res.data.msg
                })
              }
            }
          })
        } else if (res.cancel) {
          // console.log('用户点击取消')
        }
      }
    })
  },
})